package ru.yandex.webmaster3.viewer.http.download;

import ru.yandex.webmaster3.core.http.ActionResponse;
import ru.yandex.webmaster3.core.http.ActionStatus;
import ru.yandex.webmaster3.storage.download.DownloadInfo;

/**
 * Created by ifilippov5 on 02.02.17.
 */
public class DownloadResponse implements ActionResponse {
    private final ActionStatus status;
    private final DownloadInfo downloadInfo;

    DownloadResponse(ActionStatus status, DownloadInfo downloadInfo) {
        this.status = status;
        this.downloadInfo = downloadInfo;
    }

    @Override
    public ActionStatus getRequestStatus() {
        return status;
    }

    public DownloadInfo getDownloadInfo() {
        return downloadInfo;
    }
}
